NewsServiceAsync (gCube News Feed Portlet 1.6.2-SNAPSHOT API)
Date: 2014-04-01

org.gcube.portlets.user.newsfeed.client

## Interface NewsServiceAsync

-     public interface NewsServiceAsync

  The async counterpart of `NewsService`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `comment(String feedid, String text, String feedOwnerId, boolean isAppFeed, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portal.databook.shared.Comment> callback)`
    `void` | `deleteComment(String commentid, String feedid, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `deleteFeed(String feedid, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `editComment(org.gcube.portal.databook.shared.Comment toEdit, com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portal.databook.shared.Comment> callback)`
    `void` | `getAllCommentsByFeed(String feedid, com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portal.databook.shared.Comment>> callback)`
    `void` | `getAllLikesByFeed(String feedid, com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portal.databook.shared.Like>> callback)`
    `void` | `getAllUpdateUserFeeds(int feedsNoPerCategory, com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<EnhancedFeed>> callback)`
    `void` | `getMoreFeeds(int from, int quantity, com.google.gwt.user.client.rpc.AsyncCallback<MoreFeedsBean> callback)`
    `void` | `getOnlyConnectionsUserFeeds(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<EnhancedFeed>> callback)`
    `void` | `getOnlyLikedFeeds(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<EnhancedFeed>> callback)`
    `void` | `getOnlyMyUserFeeds(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<EnhancedFeed>> callback)`
    `void` | `getSingleFeed(String feedKey, com.google.gwt.user.client.rpc.AsyncCallback<EnhancedFeed> callback)`
    `void` | `getUserSettings(com.google.gwt.user.client.rpc.AsyncCallback<UserSettings> callback)`
    `void` | `like(String feedid, String feedText, String feedOwnerId, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`

- - ### Method Detail

    - #### getAllUpdateUserFeeds

          void getAllUpdateUserFeeds(int feedsNoPerCategory,
                                   com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<EnhancedFeed>> callback)

    - #### getOnlyConnectionsUserFeeds

          void getOnlyConnectionsUserFeeds(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<EnhancedFeed>> callback)

    - #### like

          void like(String feedid,
                  String feedText,
                  String feedOwnerId,
                  com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### getAllLikesByFeed

          void getAllLikesByFeed(String feedid,
                               com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portal.databook.shared.Like>> callback)

    - #### getOnlyMyUserFeeds

          void getOnlyMyUserFeeds(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<EnhancedFeed>> callback)

    - #### getUserSettings

          void getUserSettings(com.google.gwt.user.client.rpc.AsyncCallback<UserSettings> callback)

    - #### comment

          void comment(String feedid,
                     String text,
                     String feedOwnerId,
                     boolean isAppFeed,
                     com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portal.databook.shared.Comment> callback)

    - #### getAllCommentsByFeed

          void getAllCommentsByFeed(String feedid,
                                  com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<org.gcube.portal.databook.shared.Comment>> callback)

    - #### deleteComment

          void deleteComment(String commentid,
                           String feedid,
                           com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### deleteFeed

          void deleteFeed(String feedid,
                        com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### editComment

          void editComment(org.gcube.portal.databook.shared.Comment toEdit,
                         com.google.gwt.user.client.rpc.AsyncCallback<org.gcube.portal.databook.shared.Comment> callback)

    - #### getOnlyLikedFeeds

          void getOnlyLikedFeeds(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<EnhancedFeed>> callback)

    - #### getSingleFeed

          void getSingleFeed(String feedKey,
                           com.google.gwt.user.client.rpc.AsyncCallback<EnhancedFeed> callback)

    - #### getMoreFeeds

          void getMoreFeeds(int from,
                          int quantity,
                          com.google.gwt.user.client.rpc.AsyncCallback<MoreFeedsBean> callback)

Copyright © 2014. All Rights Reserved.